ARG ARCH=amd64
FROM --platform=linux/${ARCH} python:3.12

ARG APP_HOME=/app
WORKDIR ${APP_HOME}

# set environment variables
ENV PYTHONDONTWRITEBYTECODE 1
ENV PYTHONUNBUFFERED 1

COPY requirements.txt ${APP_HOME}
COPY gunicorn-cfg.py ${APP_HOME}
COPY run.sh ${APP_HOME}
RUN chmod +x ${APP_HOME}/run.sh


# install python dependencies
RUN pip install --upgrade pip
RUN pip install --no-cache-dir -r requirements.txt

COPY src ${APP_HOME}


